<ng-container *ngIf="loading; else loaded">
    <mat-progress-bar mode="indeterminate"></mat-progress-bar>
    <mat-card>
            Loading
    </mat-card>
</ng-container>
<ng-template #loaded>
    <ng-content></ng-content>
</ng-template>